<?php
ini_set('memory_limit','1024M');
require "vendor/autoload.php";
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
require_once 'conexion_excel.php';
    //$conn=new Conexion();
    //$link = $conn->conectarse();
$spread = new Spreadsheet();
$documento = new Spreadsheet();
$documento
    ->getProperties()
    ->setCreator("Softnet Solutions PE")
    ->setLastModifiedBy('Softnet Solutions PE')
    ->setTitle('Archivo exportado desde web');

# Como ya hay una hoja por defecto, la obtenemos, no la creamos
$hojaDeProductos = $documento->getActiveSheet();
$hojaDeProductos->setTitle("LISTADO DE TRAMITES");
# Escribir encabezado de los productos
$encabezado = ["#", "FECHA REGISTRO","FECHA RECEPCIÓN EN EL ÁREA", "NRO SEGUIMIENTO", "DATOS REMITENTE", "TIPO DOCUMENTO", "ASUNTO","ORIGEN", "ESTADO", "DERIVADO A"];

# El último argumento es por defecto A1 pero lo pongo para que se explique mejor
//$hojaDeProductos->fromArray('PRODUCTOS - INGRESO MASIVO', null, 'A1');

$hojaDeProductos->setCellValue('A1', 'LISTADO DE TRAMITES');
//$hojaDeProductos->setCellValue('A2', 'Fecha Inicio');
$hojaDeProductos->getStyle('A1:I4')->getFont()->setBold(true);
$hojaDeProductos->getStyle('A1:J2')->getAlignment()->setHorizontal('center');
$hojaDeProductos->getStyle('A2:J4')->getAlignment()->setHorizontal('center');
$hojaDeProductos->getStyle('F2:J2')->getAlignment();
$hojaDeProductos->setCellValue('A2', 'Fecha Inicio: '.$_GET['fecnainicio'].' hasta '.$_GET['fecnafin']);


$hojaDeProductos->getRowDimension('1')->setRowHeight(36);
$hojaDeProductos->getRowDimension('2')->setRowHeight(26);
$hojaDeProductos->getRowDimension('3')->setRowHeight(26);
//$spreadsheet->getActiveSheet()->getRowDimension('10')->setRowHeight(100);
$hojaDeProductos->mergeCells('A1:I1');
$hojaDeProductos->mergeCells('A2:I2');
$hojaDeProductos->mergeCells('A3:I3');
//setWrapText -> JUSTICIA EL TEXTO DE LA COLUMNA
$hojaDeProductos->getStyle('A1:J5')->getAlignment()->setVertical('center')->setWrapText(true);
//$hojaDeProductos->getStyle('A1:L1')->applyFromArray($estiloTituloReporte);
$hojaDeProductos->fromArray($encabezado, null, 'A4');

    $consulta = "
        SELECT
        DATE_FORMAT(movimiento.mov_fecharegistro,'%d/%m/%Y') AS fecharegistro,
        origen.area_cod AS id_origen,
        /*origen.area_nombre AS origen,*/
        IF(CONCAT_WS('',movimiento.area_origen_id,movimiento.areadestino_id)='11','EXTERIOR',origen.area_nombre ) AS origen,
        area.area_cod AS id_destino,
        area.area_nombre AS destino,
        documento.documento_id,
        documento.doc_fecharegistro,
        DATE_FORMAT(movimiento.mov_fecharegistro,'%d/%m/%Y %H:%i:%S') as mov_fecharegistro,
        movimiento.mov_estatus,
        tipo_documento.tipodo_descripcion,
        movimiento.area_origen_id,
        CONCAT_WS(' ',documento.doc_nombreremitente,documento.doc_apepatremitente,documento.doc_apematremitente) AS remitente,
        documento.doc_asunto,
        origen.area_nombre AS  area_nombre_real
        FROM
        movimiento
        LEFT JOIN area as origen ON movimiento.area_origen_id = origen.area_cod
        LEFT JOIN area ON movimiento.areadestino_id = area.area_cod
        INNER JOIN documento ON movimiento.documento_id = documento.documento_id
        INNER JOIN tipo_documento ON documento.tipodocumento_id = tipo_documento.tipodocumento_id

    WHERE origen.area_cod LIKE '".$_GET['txtidarea_actual']."' AND movimiento.mov_estatus LIKE '".$_GET['estado']."'  AND
    (DATE_FORMAT(movimiento.mov_fecharegistro,'%Y-%m-%d') BETWEEN '".$_GET['fecnainicio']."' AND '".$_GET['fecnafin']."')
    AND documento.area_origen = 0
    ORDER BY 
    movimiento.documento_id,
    movimiento.mov_fecharegistro ASC";
$resultado1 = $mysqli->query($consulta);

//$resultado1=mysqli_query($link, $consulta);
# Comenzamos en la 2 porque la 1 es del encabezado
$numeroDeFila = 5;
$count=0;
$hojaDeProductos->getColumnDimension('A')->setWidth(15);
$hojaDeProductos->getColumnDimension('B')->setWidth(25);
$hojaDeProductos->getColumnDimension('C')->setWidth(25);
$hojaDeProductos->getColumnDimension('D')->setWidth(25);
$hojaDeProductos->getColumnDimension('E')->setWidth(60);
$hojaDeProductos->getColumnDimension('F')->setWidth(40);
$hojaDeProductos->getColumnDimension('G')->setWidth(60);
$hojaDeProductos->getColumnDimension('H')->setWidth(30);
$hojaDeProductos->getColumnDimension('I')->setWidth(20);
$hojaDeProductos->getColumnDimension('J')->setWidth(30);
//while ($row=mysqli_fetch_assoc($resultado1)) {
while($row = $resultado1->fetch_assoc()){
    $hojaDeProductos->setCellValue('A3', 'ÁREA: '.utf8_encode($row['area_nombre_real']));
    $count++;
    # Obtener los datos de la base de datos
    # Escribirlos en el documento
    $hojaDeProductos->getStyle('H')->getFont()->setBold(true);
    $hojaDeProductos->getStyle('J')->getFont()->setBold(true);
    $hojaDeProductos->getStyle('A'. $numeroDeFila)->getAlignment()->setHorizontal('center');
    $hojaDeProductos->getStyle('B'. $numeroDeFila.':E'. $numeroDeFila)->getAlignment()->setHorizontal('center');
    $hojaDeProductos->getStyle('F'. $numeroDeFila)->getAlignment()->setHorizontal('center');
    $hojaDeProductos->getStyle('H'. $numeroDeFila.':J'. $numeroDeFila)->getAlignment()->setHorizontal('center');
    //$hojaDeProductos->getColumnDimension('A')->setWidth(15);
    $hojaDeProductos->setCellValueByColumnAndRow(1, $numeroDeFila, $count);

    $hojaDeProductos->getStyle('B')->getNumberFormat()->setFormatCode(\PhpOffice\PhpSpreadsheet\Style\NumberFormat::FORMAT_DATE_YYYYMMDD2);
    $hojaDeProductos->setCellValueByColumnAndRow(2, $numeroDeFila, utf8_encode($row['doc_fecharegistro']));

    $hojaDeProductos->getStyle('C')->getNumberFormat()->setFormatCode(\PhpOffice\PhpSpreadsheet\Style\NumberFormat::FORMAT_DATE_YYYYMMDD2);
    $hojaDeProductos->setCellValueByColumnAndRow(3, $numeroDeFila, utf8_encode($row['mov_fecharegistro']));
    //$hojaDeProductos->getColumnDimension('B')->setWidth(30);
    
    

    $hojaDeProductos->setCellValueByColumnAndRow(4, $numeroDeFila, utf8_encode($row['documento_id']));

    //$hojaDeProductos->getColumnDimension('E')->setWidth(60);
    
    $hojaDeProductos->setCellValueByColumnAndRow(5, $numeroDeFila, utf8_encode($row['remitente']));

    //$hojaDeProductos->getColumnDimension('F')->setWidth(30);
    $hojaDeProductos->setCellValueByColumnAndRow(6, $numeroDeFila, utf8_encode($row['tipodo_descripcion']));

    $hojaDeProductos->setCellValueByColumnAndRow(7, $numeroDeFila, utf8_encode($row['doc_asunto']));
    $hojaDeProductos->setCellValueByColumnAndRow(8, $numeroDeFila, utf8_encode($row['origen']));

    //$hojaDeProductos->getColumnDimension('G')->setWidth(60);
    $hojaDeProductos->setCellValueByColumnAndRow(9, $numeroDeFila, utf8_encode($row['mov_estatus']));
    //if ($row['mov_estatus']=="DERIVADO") {
        $hojaDeProductos->setCellValueByColumnAndRow(10, $numeroDeFila, utf8_encode($row['destino']));
    //}
    

    
    $hojaDeProductos->getStyle('A'. $numeroDeFila.':J'. $numeroDeFila)->getAlignment()->setVertical('center')->setWrapText(true);
    $hojaDeProductos->getStyle('A'. $numeroDeFila.':J'. $numeroDeFila)->getAlignment()->setWrapText(true);
    $numeroDeFila++;
}

$writer = new Xlsx($documento);
# Le pasamos la ruta de guardado
//$writer->save('ReporteContribuyente.xlsx');
/*$spreadsheet->getActiveSheet()->getStyle('D1')
    ->getNumberFormat()
    ->setFormatCode(\PhpOffice\PhpSpreadsheet\Style\NumberFormat::FORMAT_DATE_YYYYMMDDSLASH);
*/
header('Content-type: application/vnd.ms-excel');
header('Content-Disposition: attachment; filename="listado_tramites_recibidos '.$_GET['fecnainicio'].' - '.$_GET['fecnafin'].'.xls"');
ob_end_clean();
$writer->save("php://output");
exit();

?>