clearInterval(iniciar_chat);
clearInterval(iniciar_mensajes);
var table;
function listar_feriado() {
    table = $("#tabla_feriado").DataTable({
        "ordering": false,
        "pageLength": 10,
        "destroy": true,
        "async": false,
        "responsive": true,
        "autoWidth": false,
        "ajax": {
            "method": "POST",
            "url": "../controlador/feriado/controlador_feriado_listar.php",
            data:{
                validacion:'SI'
            }
        },
        "columns": [
            {"defaultContent": ""},
            {"data": "feriado"},
            {"data": "fer_fecharegistro"},
            {"data": "fer_estado",
                render: function (data, type, row ) {
                    if(data=='INACTIVO'){
                        return '<span class="badge bg-danger bg-lg">'+data+'</span>';
                    }else{
                        return '<span class="badge bg-success bg-lg">'+data+'</span>';
                    }
                }
            },
            {"data": null,
                render: function (data, type, row) {
                    return "<button class='editar btn btn-primary  btn-sm'  type='button' ><b><i class='fas fa-edit'></i></b></button>&nbsp"+
                            "<button class='eliminar btn btn-danger  btn-sm'  type='button' ><b><i class='fas fa-trash'></i></b></button>&nbsp";
                }
            }

        ],
        "fnRowCallback": function (nRow, aData, iDisplayIndex, iDisplayIndexFull) {
            $($(nRow).find("td")[0]).css('text-align', 'center');
            $($(nRow).find("td")[1]).css('text-align', 'center');
            $($(nRow).find("td")[2]).css('text-align', 'center');
            $($(nRow).find("td")[3]).css('text-align', 'center');
            $($(nRow).find("td")[4]).css('text-align', 'center');
            $($(nRow).find("td")[5]).css('text-align', 'center');
        },
        "language": idioma_espanol,
        select: true
    });
    table.on('draw.dt', function () {
        var PageInfo = $('#tabla_feriado').DataTable().page.info();
        table.column(0, {page: 'current'}).nodes().each(function (cell, i) {
            cell.innerHTML = i + 1 + PageInfo.start;
        });
    });
}
$('#tabla_feriado').on('click', '.editar', function () {
    var data = table.row($(this).parents('tr')).data();//Detecta a que fila hago click y me captura los datos en la variable data.
    if (table.row(this).child.isShown()) {//Cuando esta en tamaño responsivo
        var data = table.row(this).data();
    }
    $('body').css('padding-right','0');
    $('.form-control').removeClass("is-invalid").removeClass("is-valid");
    $("#modal_editar").modal('show');
    $("#id_feriado").val(data.feriados_id);
    $("#combo_dia_feriado_editar").val(data.fer_dia).trigger("change");
    $("#combo_mes_feriado_editar").val(data.fer_mes).trigger("change");
});
$('#tabla_feriado').on('click', '.eliminar', function () {
    var data = table.row($(this).parents('tr')).data();//Detecta a que fila hago click y me captura los datos en la variable data.
    if (table.row(this).child.isShown()) {//Cuando esta en tamaño responsivo
        var data = table.row(this).data();
    }
    $('body').css('padding-right','0');
    $('.form-control').removeClass("is-invalid").removeClass("is-valid");
    //$("#id_feriado").val(data.feriados_id);
    Swal.fire({
        title: "Mensaje de advertencia",
        html: "¿Seguro que deseas <label style='color:#9B0000;'>eliminar</label> este d&iacute;a feriado  ?",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: "<b>SI</b>",
        cancelButtonText: "<b>NO</b>"
    })
    .then((willDelete) => {
        if (willDelete.value) {
            eliminar_feriado(data.feriados_id);
        }
    });
});
function eliminar_feriado(feriados_id) {
    $.ajax({
        url:'../controlador/feriado/controlador_feriado_eliminar.php',
        type:'POST',
        data:{
            feriados_id:feriados_id,
            validacion:''
        }
    })
    .done(function (resp) {
        $('body').css('padding-right','0');
        if (resp > 0) {
            table.ajax.reload();
            Swal.fire("Mensaje de Confirmaci\u00F3n","Datos correctamente registrados, <b>nuevo feriado registrado</b>","success");
        } else {
            Swal.fire("Mensaje de Error", "Lo sentimos el registro no se pudo completar", "error");
        }
    })
}
function Registrar_feriado() {
    var combo_dia_feriado = $("#combo_dia_feriado").val();
    var combo_mes_feriado = $("#combo_mes_feriado").val();
    var form_data = new FormData();
    form_data.append("dia_feriado", combo_dia_feriado);
    form_data.append("mes_feriado", combo_mes_feriado);
    form_data.append("validacion", '');
    $.ajax({
        "url": "../controlador/feriado/controlador_feriado_registro.php",
        type: 'POST',
        contentType: false,
        processData: false,
        data: form_data,
    })
    .done(function (resp) {
        $('body').css('padding-right','0');
        if (resp > 0) {
            if (resp==1) {
                table.ajax.reload();
                $("#modal_registro").modal('hide');
                Swal.fire("Mensaje de Confirmaci\u00F3n","Datos correctamente registrados, <b>nuevo feriado registrado</b>","success");
            }else{
                Swal.fire("Mensaje de Advertencia","El feriado ingresado ya fue registrado anteriormente","warning");
            }
        } else {
            Swal.fire("Mensaje de Error", "Lo sentimos el registro no se pudo completar", "error");
        }
    })
}
function Modificar_feriado() {
    var id_feriado        = $("#id_feriado").val();
    var combo_dia_feriado = $("#combo_dia_feriado_editar").val();
    var combo_mes_feriado = $("#combo_mes_feriado_editar").val();
    var form_data = new FormData();
    form_data.append("id_feriado", id_feriado);
    form_data.append("dia_feriado", combo_dia_feriado);
    form_data.append("mes_feriado", combo_mes_feriado);
    form_data.append("validacion", '');
    $.ajax({
        "url": "../controlador/feriado/controlador_feriado_editar.php",
        type: 'POST',
        contentType: false,
        processData: false,
        data: form_data,
    })
    .done(function (resp) {
        $('body').css('padding-right','0');
        if (resp > 0) {
            if (resp==1) {
                table.ajax.reload();
                $("#modal_editar").modal('hide');
                Swal.fire("Mensaje de Confirmaci\u00F3n","Datos correctamente registrados, <b>nuevo feriado registrado</b>","success");
            }else{
                Swal.fire("Mensaje de Advertencia","El feriado ingresado ya fue registrado anteriormente","warning");
            }
        } else {
            Swal.fire("Mensaje de Error", "Lo sentimos el registro no se pudo completar", "error");
        }
    })
}
function AbrirModalRegistro() {
    $('.form-control').removeClass("is-invalid").removeClass("is-valid");
    $("#modal_registro").modal('show');
}