clearInterval(iniciar_chat);
clearInterval(iniciar_mensajes);
var table;
function listar_tiporequisito(){
    table = $("#tabla_tiporequisito").DataTable({
		"ordering":false,   
        "pageLength":10,
        "destroy":true,
        "async": false ,
        "responsive": true,
    	"autoWidth": false,
        "ajax":{
            "method":"POST",
    		"url":"../controlador/tiporequisito/controlador_tiporequisito_listar.php",
            data:{
                validacion:''
            }
        },
        "columns":[
		    {"defaultContent":""},
            {"data":"tire_descripcion"},
            {"data":"tire_fecharegistro"},
		    {"data":"tire_estado",
			    render: function (data, type, row ) {
    				if(data=='INACTIVO'){
    					return '<span class="badge bg-danger bg-lg">'+data+'</span>';
    				}else{
    					return '<span class="badge bg-success bg-lg">'+data+'</span>';
    				}
    			}
		   },
	
		   {"data":null,
			    render: function (data, type, row ) {
				    return "<button class='editar btn btn-primary  btn-sm'  type='button' ><b><i class='fas fa-edit'></i>&nbsp;Editar</b></button>&nbsp";
			    }
			}  
        ],
        "fnRowCallback": function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {
            $($(nRow).find("td")[2]).css('text-align', 'center' );
            $($(nRow).find("td")[3]).css('text-align', 'center' );
        	$($(nRow).find("td")[4]).css('text-align', 'center' );
        },
        "language":idioma_espanol,
        select: true
	});
	table.on( 'draw.dt', function () {
        var PageInfo = $('#tabla_tiporequisito').DataTable().page.info();
        table.column(0, { page: 'current' }).nodes().each( function (cell, i) {
            cell.innerHTML = i + 1 + PageInfo.start;
        } );
    } );
}

$('#tabla_tiporequisito').on('click','.editar',function(){
    var data = table.row($(this).parents('tr')).data();//Detecta a que fila hago click y me captura los datos en la variable data.
    if(table.row(this).child.isShown()){//Cuando esta en tamaño responsivo
        var data = table.row(this).data();
    }
    
    $('.form-control').removeClass("is-invalid").removeClass("is-valid");
    $("#modal_editar").modal('show');
    $("#idtiporequisito").val(data.tiporequisito_id);
    $("#txt_nombre_editar").val(data.tire_descripcion);
    $("#cbm_estatus").val(data.tire_estado).trigger("change");
})

function Registrar_tiporequisito(){
	var nombre = $("#txt_nombre").val();
	if(nombre.length==0){
		ValidacionInput("txt_nombre");
		return Swal.fire("Mensaje de advertencia","Tiene algunos campos vac&iacute;os","warning");
	}

    $.ajax({
        "url":"../controlador/tiporequisito/controlador_tiporequisito_registro.php",
        type:'POST',
        data:{
            nombre:nombre,
            validacion:''
        }
    }).done(function(resp){
        if(resp>0){
                if(resp==1){
					LimpiarCampos();
					//listar_tiporequisito();
                    Swal.fire("Mensaje de Confirmaci\u00F3n","Datos correctamente registrados, <b>nuevo tipo requerimiento registrado</b>","success")
                    .then((value) => {
                        table.ajax.reload();
                        $("#modal_registro").modal('hide');
                    });
                }else{
                    LimpiarCampos();
                    Swal.fire("Mensaje de Advertencia","El tipo de documento ya existe en nuestra base de datos","warning");  
                }
        }else{
            Swal.fire("Mensaje de Error","Lo sentimos el registro no se pudo completar","error");
        }
    })		
	
}

function Modificar_tiporequisito(){
    var idtiporequisito = $("#idtiporequisito").val();
    var nombre          = $("#txt_nombre_editar").val();
    var estatus         = $("#cbm_estatus").val();
	if(nombre.length==0){
		ValidacionInput("txt_nombre_editar");
		return Swal.fire("Mensaje de advertencia","Tiene algunos campos vac&iacute;os","warning");
	}
    $.ajax({
        "url":"../controlador/tiporequisito/controlador_tiporequisito_modificar.php",
        type:'POST',
        data:{
            idtiporequisito:idtiporequisito,
            nombre:nombre,
            estatus:estatus,
            validacion:''
        }
    }).done(function(resp){
        if(resp>0){
                if(resp==1){
                    $("#modal_editar").modal('hide');
					//listar_tiporequisito();
                    Swal.fire("Mensaje de Confirmaci\u00F3n","Datos correctamente actualizados,<b> datos del tipo de requerimiento modificados</b>","success")
                    .then((value) => {
                        table.ajax.reload();
                    });
                }else{
                    //LimpiarCampos();
                    Swal.fire("Mensaje de Advertencia","El tipo de requerimiento ya existe en nuestra base de datos","warning");  
                }
        }else{
            Swal.fire("Mensaje de Error","Lo sentimos no se pudo completar la actualizaci&oacute;n","error");
        }
    })		
	
}

function ValidacionInput(txt_nombre){
	Boolean($("#"+txt_nombre).val().length>0) ? $("#"+txt_nombre).removeClass('is-invalid').addClass("is-valid") : $("#"+txt_nombre).removeClass('is-valid').addClass("is-invalid"); 
}

function LimpiarCampos(){
    $("#txt_nombre").val("");
    $('.form-control').removeClass("is-invalid").removeClass("is-valid");
    
}

function AbrirModalRegistro(){
    LimpiarCampos();
    $('.form-control').removeClass("is-invalid").removeClass("is-valid");
    $("#modal_registro").modal('show');

}