<?php
  session_start();
  if (isset($_SESSION['id_usuario_sistematramite'])) {
    header('Location: Vista/index.php');
  }
?>
<!DOCTYPE html>
<html lang="es">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Inicio de Sesión | Sistema Mesa de Partes</title>
  <link rel="icon" href="Vista/usuario/logo/2.png" type="image/x-icon">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <!-- Font Awesome -->
  <link rel="stylesheet" href="Vista/_Plantilla/plugins/fontawesome-free/css/all.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <!-- iCheck Bootstrap -->
  <link rel="stylesheet" href="Vista/_Plantilla/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
  <!-- Theme Style -->
  <link rel="stylesheet" href="Vista/_Plantilla/dist/css/adminlte.min.css">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">

  <style>
    body {
      background: url('Vista/img/fondo6.jpg') no-repeat center center fixed;
      background-size: cover;
      display: flex;
      align-items: left;
      justify-content: left;
      height: 100vh;
      margin: 0;
      font-family: Arial;
    }
    .login-container {
      display: flex;
      flex-direction: column;
      align-items: flex-start;
      background: rgba(255, 255, 255, 0.8);
      padding: 20px;
      border-radius: 8px;
      box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    }
    .logo-container {
      text-align: center;
      width: 100%;
      margin-bottom: 20px;
    }
    .logo-container img {
      max-width: 100px;
    }
    .login-box {
      width: 100%;
    }
    .login-logo a {
      font-weight: bold;
      color: #333;
    }
    .login-card-body {
      padding: 20px;
    }
    .login-box-msg {
      margin-bottom: 20px;
      font-weight: bold;
      text-align: center;
    }
    .a {
      color: #9B0000;
    }
    .a:hover {
      color: black;
    }
    .btn-primary {
      background: #007bff linear-gradient(180deg, #268fff, #007bff) repeat-x !important;
    }
    .btn-secondary {
      background: rgba(255, 255, 255, 0.8);
      border: 1px solid #007bff;
      color: #007bff;
      margin: 10px 0;
    }
    .btn-secondary:hover {
      background: #007bff;
      color: white;
    }
  </style>
</head>

<body oncontextmenu="return false">
  <div class="login-container" >
    <div class="logo-container" style="
    margin-top: 5%;">
      <img src="https://iesvilcanota.edu.pe/portal/wp-content/uploads/2022/11/LOGO-FAVI.png" alt="Logo del Sistema">
    </div>

    <div class="login-box">
      <div class="login-logo" >
        <a href="#"><b>Trámite Documentario</b></a>
      </div>
      <div class="card">
        <div class="card-body login-card-body">
          <p class="login-box-msg">Ingrese sus datos para iniciar sesión</p>
          <form onsubmit="return false" autocomplete="off">
            <div class="input-group mb-3">
              <input type="text" class="form-control" id="txt_usuario" onkeypress="return soloNroDocumento(event)" placeholder="Email">
              <div class="input-group-append">
                <div class="input-group-text">
                  <span class="fas fa-envelope"></span>
                </div>
              </div>
            </div>
            <div class="input-group mb-3">
              <input type="password" class="form-control" id="txt_pass" onkeyup="if(event.keyCode == 13) VerificarUsuario()" onkeypress="return soloNroDocumento(event)" placeholder="Password">
              <div class="input-group-append">
                <div class="input-group-text">
                  <span class="fas fa-lock"></span>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-8">
                <div class="icheck-primary">
                  <input type="checkbox" id="remember">
                  <label for="remember">Recuérdame</label>
                </div>
              </div>
              <div class="col-4">
                <button onclick="VerificarUsuario()" class="btn btn-primary btn-block">Ingresar</button>
              </div>
            </div>
            <div class="row mt-3">
              <div class="col-12">
                <a class="btn btn-secondary btn-block" href="tramite_nuevo.php">Trámite Nuevo</a>
              </div>
              <div class="col-12">
                <a class="btn btn-secondary btn-block" href="seguimiento.php">Rastrear Trámite</a>
              </div>
              <div class="col-12">
                <a class="btn btn-secondary btn-block" href="libro_reclamos.php">Libro de Reclamos</a>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>

  <!-- jQuery -->
  <script src="Vista/_Plantilla/plugins/jquery/jquery.min.js"></script>
  <!-- Bootstrap 4 -->
  <script src="Vista/_Plantilla/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
  <!-- AdminLTE App -->
  <script src="Vista/_Plantilla/dist/js/adminlte.min.js"></script>
  <script src="Vista/js/sweetalert2.js"></script>
  <script src="Vista/js/console_usuario.js?rev=<?php echo time(); ?>"></script>

  <script>
    function soloNroDocumento(e) {
      var key = e.keyCode || e.which;
      var tecla = String.fromCharCode(key).toLowerCase();
      var letras = "abcdefghijklmnopqrstuvwxyz0123456456789@-_+*/";
      var especiales = [8, 37, 39, 46, 58];
      
      if (letras.indexOf(tecla) === -1 && !especiales.includes(key)) {
        return false;
      }
    }

    $(".form-control").on('paste', function(e){
      e.preventDefault();
    });
  </script>
</body>
</html>
